Package com.io7m.coffeepick.repository.spi

# Class RuntimeRepositoryEventUpdateFailed

java.lang.Object
com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventUpdateFailed

All Implemented Interfaces:
  `RuntimeRepositoryEventType`, `RuntimeRepositoryEventUpdateFailedType`, `RuntimeRepositoryEventUpdateType`

    public final class RuntimeRepositoryEventUpdateFailed
    extends java.lang.Object
    implements RuntimeRepositoryEventUpdateFailedType

A repository update has failed.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `RuntimeRepositoryEventUpdateFailed.Builder` | Builds instances of type `RuntimeRepositoryEventUpdateFailed`.

  ## Nested classes/interfaces inherited from interface com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventUpdateType

  `RuntimeRepositoryEventUpdateType.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static RuntimeRepositoryEventUpdateFailed.Builder` | `builder()` | Creates a builder for `RuntimeRepositoryEventUpdateFailed`.
  `static RuntimeRepositoryEventUpdateFailed` | `copyOf​(RuntimeRepositoryEventUpdateFailedType instance)` | Creates an immutable copy of a `RuntimeRepositoryEventUpdateFailedType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `RuntimeRepositoryEventUpdateFailed` that have equal attribute values.
  `java.lang.Exception` | `exception()` |
  `int` | `hashCode()` | Computes a hash code from attributes: `repository`, `exception`.
  `java.net.URI` | `repository()` |
  `java.lang.String` | `toString()` | Prints the immutable value `RuntimeRepositoryEventUpdateFailed` with attribute values.
  `RuntimeRepositoryEventUpdateFailed` | `withException​(java.lang.Exception value)` | Copy the current immutable object by setting a value for the `exception` attribute.
  `RuntimeRepositoryEventUpdateFailed` | `withRepository​(java.net.URI value)` | Copy the current immutable object by setting a value for the `repository` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventUpdateFailedType

  `kind`

- ## Method Details

  - ### repository

    public java.net.URI repository()
    Specified by:
      `repository` in interface `RuntimeRepositoryEventType`
    Specified by:
      `repository` in interface `RuntimeRepositoryEventUpdateFailedType`
    Specified by:
      `repository` in interface `RuntimeRepositoryEventUpdateType`
    Returns:
      The value of the `repository` attribute

  - ### exception

    public java.lang.Exception exception()
    Specified by:
      `exception` in interface `RuntimeRepositoryEventUpdateFailedType`
    Returns:
      The raised exception

  - ### withRepository

    public final RuntimeRepositoryEventUpdateFailed withRepository​(java.net.URI value)
    Copy the current immutable object by setting a value for the `repository` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for repository
    Returns:
      A modified copy of the `this` object

  - ### withException

    public final RuntimeRepositoryEventUpdateFailed withException​(java.lang.Exception value)
    Copy the current immutable object by setting a value for the `exception` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for exception
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `RuntimeRepositoryEventUpdateFailed` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `repository`, `exception`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `RuntimeRepositoryEventUpdateFailed` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static RuntimeRepositoryEventUpdateFailed copyOf​(RuntimeRepositoryEventUpdateFailedType instance)
    Creates an immutable copy of a `RuntimeRepositoryEventUpdateFailedType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable RuntimeRepositoryEventUpdateFailed instance

  - ### builder

    public static RuntimeRepositoryEventUpdateFailed.Builder builder()
    Creates a builder for `RuntimeRepositoryEventUpdateFailed`.

         RuntimeRepositoryEventUpdateFailed.builder()
            .setRepository(java.net.URI) // required repository
            .setException(Exception) // required exception
            .build();

    Returns:
      A new RuntimeRepositoryEventUpdateFailed builder